%define fw_version 5.38

Summary:	KDE Frameworks 5 user activity monitoring module
Name:		kidletime
Version:	5.38.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-sync)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xscrnsaver)

%description
KDE Frameworks 5 user activity monitoring module.

KIdleTime is a singleton reporting information on idle time. It is useful
not only for finding out about the current idle time of the PC, but also
for getting notified upon idle time events, such as custom timeouts, or
user activity.

%files
%{_kde5_plugindir}/org.kde.kidletime.platforms/KF5IdleTimeXcbPlugin0.so
%{_kde5_plugindir}/org.kde.kidletime.platforms/KF5IdleTimeXcbPlugin1.so

#----------------------------------------------------------------------------

%define kf5idletime_major 5
%define libkf5idletime %mklibname kf5idletime %{kf5idletime_major}

%package -n %{libkf5idletime}
Summary:	KDE Frameworks 5 user activity monitoring shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5idletime}
KDE Frameworks 5 user activity monitoring shared library.

%files -n %{libkf5idletime}
%{_kde5_libdir}/libKF5IdleTime.so.%{kf5idletime_major}*

#----------------------------------------------------------------------------

%define devkf5idletime %mklibname kf5idletime -d

%package -n %{devkf5idletime}
Summary:	Development files for KDE Frameworks 5 user activity monitoring module
Group:		Development/KDE and Qt
Requires:	%{libkf5idletime} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5idletime-devel = %{version}

%description -n %{devkf5idletime}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5idletime}
%{_kde5_includedir}/KF5/KIdleTime
%{_kde5_includedir}/KF5/kidletime_version.h
%{_kde5_libdir}/cmake/KF5IdleTime
%{_kde5_libdir}/libKF5IdleTime.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (4c8d0fe) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (3e02ff0) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (36ce851) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (1ecc667) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (e54ee73) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (6010de3) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (b1c2762) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (0d69c16) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (0dd5e8b) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (75ac387) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (f90449e) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (3554662) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (866ad61) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (26fc1cf) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (e83d4c9) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (ceaa076) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (9b8d457) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (91578c1) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (d915aed) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (e8a07b9) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (321c1a2) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (6e7b2fb) Update files
- (Andrey Bondrov: fc9095d) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (9bb0ba9) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (b79f206) New version 5.11.0

* Wed May 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (0bc4885) New version 5.10.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (9e1cc77) New version 5.8.0

* Fri Mar 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-3
- (a6664c3) MassBuild#682: Increase release tag

* Thu Mar 05 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-2
- (a4bbfe0) Adjust devel package Provides and headers directory

* Tue Feb 24 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-1
- (96dc477) New version 5.7.0


